Subject: Re: [PATCH] multi-pack-index: simplify handling of unknown --options

From: Junio C Hamano <[email-masked]>
Date: Sun, 10 Jul 2022 14:54:54 -0700

SZEDER Gábor <[email-masked]> writes:

>> > Let parse_options() handle unknown options instead, which, besides
>> > simpler code, has the additional benefit that it prints not only the
>> > usage but an "error: unknown option `foo'" message as well.
>> 
>> Yes, I agree that getting rid of KEEP_UNKNOWN is a very good idea
>> for this reason.  But I suspect that we still need the "did we get
>> an extra argument we do not know what to do with?" check.
>
> Uh, indeed.  I got too trigger-happy with deleting lines.
> Updated patch below.

OK.  I suspect that a test would have caught the breakage in the
original.  Would it make sense to add one now?

Thanks, will queue.